Subject: Re: [PATCH 1/2] configs: ARM: omap2plus: Enable OMAP3_THERMAL

From: Tony Lindgren <[email-masked]>
Date: Fri, 8 Nov 2019 13:21:33 -0800

* Adam Ford <[email-masked]> [191108 21:05]:
> On Fri, Nov 8, 2019 at 2:51 PM Tony Lindgren <[email-masked]> wrote:
> >
> > * Adam Ford <[email-masked]> [191108 20:03]:
> > > On Wed, Oct 23, 2019 at 9:36 AM Tony Lindgren <[email-masked]> wrote:
> > > > My guess is we need to call clk_disable() and call
> > > > ti_bandgap_save_ctxt() on CPU_CLUSTER_PM_ENTER similar to
> > > > what ti_bandgap_suspend does. And then restore it on
> > > > CPU_CLUSTER_PM_EXIT.
> > > >
> > > > There's a similar example already in gpio_omap_cpu_notifier().
> > > > Not sure if there is some related errata to deal with too,
> > > > probably the old Nokia n900 or n9 would provide some hints
> > > > on what exactly needs to be done.
> > >
> > > I 'think' I have a patch ready that does what you're asking, but I
> > > will fully admit that I don't completely grasp what's going on.
> > >
> > > I'll submit it as an RFC, but I am not even sure I understand what to
> > > put into the description, so if you're OK with reviewing the RFC, feel
> > > free to mark up the actual commit message as well.
> > >
> > > From what I can see, the changes haven't negatively impact stuff. I
> > > didn't see the power consumption go up before, so I am not sure I can
> > > replicate your findings.
> > >
> > > It'll be posted shortly.
> >
> > Yeah seems to do the job, thanks for fixing this issue.
> 
> I am glad I could help!  I am learning new stuff.  :-)
> 
> Once the other patch to fix the bandgap clock idling, will it be
> possible to accept this as-is, or do you need me to re-base and submit
> again?

No need to resend, I've tagged it again to apply after the
driver fix hits the mainline kernel.

> Ideally, once we get the thermal stuff in and we can drop Nikolaus'
> turbo option on the 1GHz processor and just let the processor scale to
> 1GHz without having to deal with the boost stuff since it should
> throttle back when the junction temp hits its threshold.

Right. AFAIK we also still need some way to represent the
arch/arm/mach-omap2/voltage.c as drivers/regulator some kind
of regulator controller regulator for cpufreq to use.

> If you want me to re-base, please let me know which branch I should use.

No need for that.

Thanks,

Tony

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel